//*****************************************************************************************************
//******** FORM CONTROLS ******************************************************************************
//*****************************************************************************************************

procedure frmFinalVFinarOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-finar-';
  frmFinalV.close;
end;

procedure frmFinalVListingOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-listing-';
  frmFinalV.close;
end;

procedure frmFinalVotherwiseOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-otherwise-';
  frmFinalV.close;
end;

procedure frmFinalVUnverifiedOnClick(sender: TObject);
begin
  cancel:=false;
  mystery:='-unverified-';
  frmFinalV.close;
end;

//*****************************************************************************************************
procedure frmFinalVDateType(sender: TObject);
begin
     if TCheckBox(sender).checked then begin
        frmFinalV_rdnVer.enabled := true; frmFinalV_picVer.enabled := true;
        frmFinalV_rdnRes.enabled := true; frmFinalV_picRes.enabled := true;
        datetype := indi();
     end
     else begin
        frmFinalV_rdnVer.enabled := false; frmFinalV_picVer.enabled := false;
        frmFinalV_rdnRes.enabled := false; frmFinalV_picRes.enabled := false;
        datetype := '-';
     end;
end;


procedure frmFinalVVerOnClick(sender: TObject);
begin
     frmFinalV_rdnVer.Checked := true;
end;

procedure frmFinalVResOnClick(sender: TObject);
begin
     frmFinalV_rdnRes.Checked := true;
end;


//*****************************************************************************************************
procedure frmFinalVDateSetOnClick(sender: TObject);
begin
     if frmFinalV_chbDateSet.checked then begin
         frmFinalV_rdnNone.enabled := true;
         frmFinalV_rdnVer.enabled := true;
         frmFinalV_rdnRes.enabled := true;
         frmFinalV_dtpDate.enabled := true;
         //frmFinalV_txtNote.enabled := true;
         frmFinalV_chbDateSet.Caption := _('Write / Edit date');
     end
     else begin
         frmFinalV_rdnNone.enabled := false;
         frmFinalV_rdnVer.enabled := false;
         frmFinalV_rdnRes.enabled := false;
         frmFinalV_dtpDate.enabled := false;
         //frmFinalV_txtNote.enabled := false;
         frmFinalV_chbDateSet.Caption := _('No date');
     end;
end;

//*****************************************************************************************************
procedure frmFinalVOKDateOnClick(Sender: TObject);
begin
     cancel := false;
     EraseTAG();
     InsertTAG(mystery,IsDate(),ansiToUtf(frmFinalV_txtNote.text));
     frmFinalV.Close;
end;

//*****************************************************************************************************
procedure frmFinalVEraseOnClick(sender: TObject);
begin
  cancel:=false;
  erase:=true
  if GC.TagValues('FinalVerification') <> '' then
  begin
     EraseTAG();
     frmFinalV.Close;
  end
  else
  begin
    frmFinalV.Close;
  end;
end;

//*****************************************************************************************************
procedure frmFinalVCancelOnClick(sender: TObject);
begin
  cancel := true;
  frmFinalV.Close;
end;

//*****************************************************************************************************
procedure frmFinalVChecker(sender: TObject);
begin
    case source of
         'ggp': GeoCallGGP(GEOGET_SCRIPTDIR + '\Checker\Checker.ggp.pas');
         'ggc': GeoCallGGP(GEOGET_SCRIPTDIR + '\Checker\Checker.ggc.pas');
    end;
end;

//*****************************************************************************************************
procedure frmFinalVNotetOnClick(sender: TObject);
begin
     if (TCheckBox(sender).checked) and (frmFinalV_chbDateSet.checked) then begin
        frmFinalV_txtNote.enabled := true;
     end
     else begin
        frmFinalV_txtNote.enabled := false;
     end;
end;
//*****************************************************************************************************
procedure RegisterEvents;
begin
   frmFinalV_picFinar.OnClick:= @frmFinalVFinarOnClick;
   frmFinalV_picListing.OnClick:= @frmFinalVListingOnClick;
   frmFinalV_picOtherwise.OnClick:= @frmFinalVOtherwiseOnClick;
   frmFinalV_picUnverified.OnClick:= @frmFinalVUnverifiedOnClick;
   frmFinalV_picErase.OnClick:= @frmFinalVEraseOnClick;
   frmFinalV_picCancel.OnClick:= @frmFinalVCancelOnClick;
   frmFinalV_chbDateSet.OnClick:=@frmFinalVDateSetOnClick;
   frmFinalV_btnOKDate.OnClick:=@frmFinalVOKDateOnClick;
   frmFinalV_picChecker.OnClick:=@frmFinalVChecker;
   frmFinalV_rdnNone.OnClick := @frmFinalVDateSetOnClick;
   frmFinalV_rdnVer.OnClick := @frmFinalVDateSetOnClick;
   frmFinalV_rdnRes.OnClick := @frmFinalVDateSetOnClick;
   frmFinalV_picVer.OnClick := @frmFinalVVerOnClick;
   frmFinalV_picRes.OnClick := @frmFinalVResOnClick;
end;

//*****************************************************************************************************
//*****************************************************************************************************
//*****************************************************************************************************