function IsDate(): string;
begin
     if frmFinalV_chbDateSet.checked then begin
        datum := DateToStr(frmFinalV_dtpDate.Date);
     end
     else begin
         datum := '';
     end;
     Result := datum;
end;
//*****************************************************************************************************

procedure EraseTAG();
var
  obsah: string;
begin
     obsah := GC.TagValues('FinalVerification');
     GC.TagDel('FinalVerification',obsah);
end;
//*****************************************************************************************************

function indi(): string;
begin
     Result := '-';
     if not(frmFinalV_chbDateSet.checked) then exit;
     if frmFinalV_rdnVer.checked then Result := '@';
     if frmFinalV_rdnRes.checked then Result := '#';
end;
//*****************************************************************************************************

procedure InsertTAG(mys, dat, note: string);
var
   tag: string;
begin
     datetype := indi();
     mys := datetype + copy(mystery,2,length(mystery));

     if datum <> '' then begin
        tag := trim(mys) + dat + '~';
     end
     else begin
         tag := trim(mys) + '~';
     end;
      GC.TagAdd('FinalVerification', tag + note);
end;
//*****************************************************************************************************

procedure DateON(on: boolean);
begin
     if on = true then begin
        frmFinalV_chbDateSet.Checked := true;
        frmFinalV_dtpDate.enabled := true;
     end
     else begin
        frmFinalV_chbDateSet.Checked := false;
        frmFinalV_dtpDate.enabled := false;
     end
end;
//*****************************************************************************************************

procedure DateTypeON(on: boolean);
begin
     if on = true then begin
        frmFinalV_rdnNone.enabled := true;
        frmFinalV_rdnVer.enabled := true; frmFinalV_picVer.enabled := true;
        frmFinalV_rdnRes.enabled := true; frmFinalV_picRes.enabled := true;
     end
     else begin
        frmFinalV_rdnNone.enabled := false;
        frmFinalV_rdnVer.enabled := false; frmFinalV_picVer.enabled := false;
        frmFinalV_rdnRes.enabled := false; frmFinalV_picRes.enabled := false;
     end;
end;
//*****************************************************************************************************

procedure DateTypeSET(dtype: string);
begin
     case dtype of
     '-': frmFinalV_rdnNone.checked := true;
     '@': frmFinalV_rdnVer.checked := true;
     '#': frmFinalV_rdnRes.checked := true;
     end;
end;
//*****************************************************************************************************
