var
   oldver: boolean;
   PathPlugin: array[1..3] of string;
   icoPlugin, icoContxtPlugin: array[1..3] of boolean;
   groupPlugin: array[1..3] of string;
   i: integer;
   col: TColRec;

//***************************************************************************************
procedure setIcoplugins(getset: string);
var
   ov: string;
   x: integer;
begin
     PathPlugin[1] := '\FinalVerification\FinalVerification.ggp.pas';
     PathPlugin[2] := '\FinalVerification\FinalVerificationFilter.ggp.pas';
     PathPlugin[3] := '\FinalVerification\DBFix.ggp.pas';
     ov := '';
     x := 3;

     case getset of
     'get': begin;
               if (oldver) then begin ov := '\Bobobubo'; x := 2; groupPlugin[3] := 'FinalVerification'; end;
               for i := 1 to x do begin
                 icoPlugin[i] :=  GeoGetToolbar(GEOGET_SCRIPTDIR + ov + PathPlugin[i]);
                 icoContxtPlugin[i] := GeoGetPopupMenu(GEOGET_SCRIPTDIR + ov + PathPlugin[i]);
                 groupPlugin[i] := GeoGetPluginGroup(GEOGET_SCRIPTDIR + ov + PathPlugin[i]);
               end;

            end;

     'set': begin;
               for i := 1 to 3 do begin
                 GeoSetToolbar(GEOGET_SCRIPTDIR + PathPlugin[i], icoPlugin[i]);
                 GeoSetPopupMenu(GEOGET_SCRIPTDIR + PathPlugin[i], icoContxtPlugin[i]);
                 GeoSetPluginGroup(GEOGET_SCRIPTDIR + PathPlugin[i],groupPlugin[i]);
               end;
            end;
     end;
end;

//***************************************************************************************
function InstallWork: string;

begin
  Result := '';
  oldver := false;
  col := TcolRec.create;

  if (FileExists(GEOGET_SCRIPTDIR + '\Bobobubo\FinalVerification\FinalVerification.ggp.pas')) then oldver := true;

  if(oldver) then begin
     setIcoPlugins('get');
     DelTree(GEOGET_SCRIPTDIR + '\Bobobubo\');
     setIcoPlugins('set'); GeoReloadPlugins;
     for i := 1 to GEOGET_COLUMNS.count-1 do begin
         col := GEOGET_COLUMNS.items[i];
         if col.Category = 'FinalVerification' then begin
            col.ScriptName := 'FinalVerification\FinalVerification.ggv.pas';
            col.Width := 145;
            GeoRefreshHeaders;
         end;
     end;
     GeoCallGGP('DBFix.ggp.pas');
  end
  else begin
       if (FileExists(GEOGET_SCRIPTDIR + '\FinalVerification.meta.ini.old')) then begin
          setIcoPlugins('get');
          setIcoPlugins('set'); GeoReloadPlugins;
          exit;
       end
       else begin
         col.ID := -1;
         col.Category := 'FinalVerification';
         col.Caption := '?                        Datum';
         col.Width := 145;
         col.NumSort := false;
         col.Align := taRightJustify;
         col.ScriptName := 'FinalVerification\FinalVerification.ggv.pas';
         GEOGET_COLUMNS.Add(col);
         GeoRefreshHeaders;

         for i := 1 to 3 do begin
             case intTostr(i) of
                 '1' : begin
                     icoPlugin[i] := true;
                     icoContxtPlugin[i] := true;
                     groupPlugin[i] := 'FinalVerification';
                 end;
                 '2' : begin
                     icoPlugin[i] := true;
                     icoContxtPlugin[i] := false;
                     groupPlugin[i] := 'FinalVerification';
                 end;
                 '3' : begin
                     icoPlugin[i] := false;
                     icoContxtPlugin[i] := false;
                     groupPlugin[i] := 'FinalVerification'
                 end;
             end;
         end;
         setIcoPlugins('set'); GeoReloadPlugins;
       end;
  end;
end;

//***************************************************************************************
function UninstallWork: string;

begin
  Result := '';

  for i := 1 to GEOGET_COLUMNS.count-1 do begin
      col := GEOGET_COLUMNS.items[i];
      if col.Category = 'FinalVerification' then begin
         GEOGET_COLUMNS.Delete(i);
      end;
  end;

  GeoRefreshHeaders;

  if MessBox(_('Do you want to remove FinalVerification category from database?'),_('FinalVerification uninstall'),4) = 6 then GeoTagDelCategory('FinalVerification');

end;
