{

  ******************************************************************************
  ******************************************************************************
  *  Pomocne funkce pro praci s bitmapou, prevzato z makra Condition           *
  *  Version: 1.0                                                              *
  *  (s laskavm svolenm autora)                                              *
  ******************************************************************************
  ******************************************************************************
}

{Translate given bitmap into string}
function BitmapToDecodedBitmapString(bmp : TBitmap) : AnsiString;
var
  ms : TMemoryStream;
begin
  ms := TMemoryStream.Create;
  try
    try
      bmp.SaveToStream(ms);
      ms.position := 0;
      setlength(Result, ms.size);
      ms.read(Result, ms.size);
    except
    end;
  finally
    ms.free;
  end;
end;

{Translate given base64 encoded string into bitmap}
procedure BitmapStringToBitmap(bmp : AnsiString; const Value: TBitMap);
var
  ms : TMemoryStream;
  ic : AnsiString;
begin
  ms := TMemoryStream.Create;
  try
    try
      ic := DecodeBase64(bmp);
      ms.Write(ic, Length(ic));
      ms.Position := 0;
      Value.LoadFromStream(ms);
    except
    end;
  finally
    ms.free;
  end;
end;
//******************************************************************************